Create a timezone object from DateTimeZone

- « IntlTimeZone::createTimeZoneIDEnumeration

- IntlTimeZone::getCanonicalID »

- PHP Manual
- IntlTimeZone
- Create a timezone object from DateTimeZone

# IntlTimeZone::fromDateTimeZone

# intltz_from_date_time_zone

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL >= 3.0.0a1)

IntlTimeZone::fromDateTimeZone -- intltz_from_date_time_zone — Create a timezone object from DateTimeZone

### Description

Object-oriented style (method):

public static IntlTimeZone::fromDateTimeZone(DateTimeZone `$timezone`): ?IntlTimeZone

Procedural style:

intltz_from_date_time_zone(DateTimeZone `$timezone`): ?IntlTimeZone

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`timezone`

### Return Values